package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.dto.WxCUserBasicInfoDto;
import com.iformall.domain.po.WxCUserCar;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WxCUserCarMapper extends CommonMapper<WxCUserCar, Long> {

	List<WxCUserCar> findList(WxCUserCar wxCUserCar);
	Integer countList(WxCUserCar wxCUserCar);
	Integer countUser(WxCUserBasicInfoDto dto);

    long queryCarCount(Map<String,Object> carParams);

	List<Map<String, Object>> queryCarCountHistory(HashMap<String,Object> params);
}